Summary: GNU Tape Archiver (tar)
Name: tar
Version: 1.11.8
Release: 11
Copyright: GPL
Group: Utilities/Archiving
Source: prep.ai.mit.edu:/pub/gnu/tar-1.11.8.tar.gz
Patch0: tar-1.11.8-manpage.patch
Patch1: tar-1.11.8-remote.patch
Patch2: tar-1.11.8-glibc.patch
Patch3: tar-1.11.8-multi.patch

%description
GNU `tar' saves many files together into a single tape or disk
archive, and can restore individual files from the archive.  It
includes multivolume support, the ability to archive sparse files,
automatic archive compression/decompression, remote archives and
special features that allow `tar' to be used for incremental and full
backups.  If you wish to do remote backups with tar, you will need
to install the `rmt' package as well.

%prep
%setup
%patch0 -p1
%patch1 -p1

%ifarch alpha
%patch2 -p1
%endif

%patch3 -p0

%build
./configure --disable-nls --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE" LDFLAGS=-s
(cd src; make CFLAGS="$RPM_OPT_FLAGS -I/usr/include/bsd" LDFLAGS=-s LIBS=-lbsd rmt)

%install
rm -f /usr/info/tar.info*
make install
install -m644 tar.1 /usr/man/man1
gzip -9nf /usr/info/tar.info*
rm -f /bin/tar
mv /usr/bin/tar /bin

strip /bin/tar

%files
/bin/tar
/usr/info/tar.info*
/usr/man/man1/tar.1
